Debian Bug report logs - #692387
hivex: FTBFS against python3.3

version graph

Package: hivex; Maintainer for hivex is Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>;

Reported by: Dmitrijs Ledkovs <dmitrijs.ledkovs@canonical.com>

Date: Mon, 5 Nov 2012 15:30:07 UTC

Severity: serious

Tags: jessie, patch, sid

Found in version 1.3.6-2

Fixed in version hivex/1.3.7-2

Done: Hilko Bengen <bengen@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, dmitrijs.ledkovs@canonical.com, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#692387; Package hivex. (Mon, 05 Nov 2012 15:30:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitrijs Ledkovs <dmitrijs.ledkovs@canonical.com>:
New Bug report received and forwarded. Copy sent to dmitrijs.ledkovs@canonical.com, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Mon, 05 Nov 2012 15:30:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dmitrijs Ledkovs <dmitrijs.ledkovs@canonical.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: hivex: FTBFS against python3.3
Date: Mon, 05 Nov 2012 15:25:08 +0000
[Message part 1 (text/plain, inline)]
Package: hivex
Severity: normal
Version: 1.3.6-2
User: debian-python@lists.debian.org
Usertags: python3.3
Tags: patch

Please apply below patch, or fix building against multiple support
python3 versions & python3.3 in some other way.

Please note that python3.3 has two include paths, instead of one.

[hivex_1.3.6-2_1.3.6-2ubuntu1.diff (text/x-diff, inline)]
diff -Nru hivex-1.3.6/debian/changelog hivex-1.3.6/debian/changelog
--- hivex-1.3.6/debian/changelog	2012-06-14 21:39:50.000000000 +0000
+++ hivex-1.3.6/debian/changelog	2012-10-24 23:01:48.000000000 +0000
@@ -1,3 +1,9 @@
+hivex (1.3.6-2.1) UNRELEASED; urgency=low
+
+  * Fix FTBFS against python3.3.
+
+ -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 25 Oct 2012 00:01:32 +0100
+
 hivex (1.3.6-2) unstable; urgency=low
 
   * [7de8ea3] changed pattern in .install files so that the multiarch
diff -Nru hivex-1.3.6/debian/control hivex-1.3.6/debian/control
--- hivex-1.3.6/debian/control	2012-06-13 12:41:13.000000000 +0000
+++ hivex-1.3.6/debian/control	2012-10-24 23:02:08.000000000 +0000
@@ -1,10 +1,10 @@
 Source: hivex
 Section: libs
 Priority: extra
 Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Hilko Bengen <bengen@debian.org>
 Build-Depends: debhelper (>= 8.1.3~),
- autotools-dev,
+ dh-autoreconf,
  pkg-config,
  libxml2-dev,
  libreadline-dev,
diff -Nru hivex-1.3.6/debian/patches/fit-ftbfs-python3.3.patch hivex-1.3.6/debian/patches/fit-ftbfs-python3.3.patch
--- hivex-1.3.6/debian/patches/fit-ftbfs-python3.3.patch	1970-01-01 00:00:00.000000000 +0000
+++ hivex-1.3.6/debian/patches/fit-ftbfs-python3.3.patch	2012-10-24 23:30:26.000000000 +0000
@@ -0,0 +1,83 @@
+Description: fix FTBFS against python3.3
+ Python3.3 in Debian/Ubuntu has two include locations, not one.
+ Detect and use both of them.
+Author: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>
+Forwarded: not yet
+Last-Update: 2012-10-25
+
+Index: b/configure.ac
+===================================================================
+--- a/configure.ac
++++ b/configure.ac
+@@ -249,7 +249,7 @@
+ dnl Check for Python (optional, for Python bindings).
+ PYTHON_PREFIX=
+ PYTHON_VERSION=
+-PYTHON_INCLUDEDIR=
++PYTHON_CFLAGS=
+ PYTHON_INSTALLDIR=
+ 
+ AC_CHECK_PROG([PYTHON],[python],[python],[no])
+@@ -266,12 +266,18 @@
+     AC_MSG_RESULT([$PYTHON_VERSION])
+ 
+     AC_MSG_CHECKING([for Python include path])
+-    if test -z "$PYTHON_INCLUDEDIR"; then
++    if test -z "$PYTHON_CFLAGS"; then
+         python_path=`$PYTHON -c "import distutils.sysconfig; \
+                                  print (distutils.sysconfig.get_python_inc ());"`
+-        PYTHON_INCLUDEDIR=$python_path
++        python_platpath=`$PYTHON -c "import distutils.sysconfig; \
++                                 print (distutils.sysconfig.get_python_inc (plat_specific=1));"`
++	if test "$python_path" = "$python_platpath"; then
++		PYTHON_CFLAGS=-I$python_path
++	else
++		PYTHON_CFLAGS="-I$python_path -I$python_platpath"
++	fi
+     fi
+-    AC_MSG_RESULT([$PYTHON_INCLUDEDIR])
++    AC_MSG_RESULT([$PYTHON_CFLAGS])
+ 
+     AC_ARG_WITH([python-installdir],
+                 [AS_HELP_STRING([--with-python-installdir],
+@@ -293,8 +299,11 @@
+     dnl Look for libpython and some optional symbols in it.
+     old_LIBS="$LIBS"
+     if test "x$PYTHON_VERSION_MAJOR" = "x3"; then
+-        dnl libpython3 is called "libpython3.Xmu.so"
+-        LIBPYTHON="python${PYTHON_VERSION}mu"
++        dnl libpython3 has a buildflag suffix
++	python_buildflag=`$PYTHON -c "import distutils.sysconfig; \
++                                      print (distutils.sysconfig.build_flags);"`
++
++        LIBPYTHON="python${PYTHON_VERSION}$python_buildflag"
+     else
+         LIBPYTHON="python$PYTHON_VERSION"
+     fi
+@@ -308,11 +317,11 @@
+ 
+ AC_SUBST(PYTHON_PREFIX)
+ AC_SUBST(PYTHON_VERSION)
+-AC_SUBST(PYTHON_INCLUDEDIR)
++AC_SUBST(PYTHON_CFLAGS)
+ AC_SUBST(PYTHON_INSTALLDIR)
+ 
+ AM_CONDITIONAL([HAVE_PYTHON],
+-    [test "x$PYTHON" != "xno" && test "x$PYTHON_INCLUDEDIR" != "x" && test "x$PYTHON_INSTALLDIR" != "x"])
++    [test "x$PYTHON" != "xno" && test "x$PYTHON_CFLAGS" != "x" && test "x$PYTHON_INSTALLDIR" != "x"])
+ 
+ dnl Check for Ruby and rake (optional, for Ruby bindings).
+ AC_ARG_ENABLE([ruby],
+Index: b/python/Makefile.am
+===================================================================
+--- a/python/Makefile.am
++++ b/python/Makefile.am
+@@ -33,7 +33,7 @@
+ python_LTLIBRARIES = libhivexmod.la
+ 
+ libhivexmod_la_SOURCES = hivex-py.c
+-libhivexmod_la_CFLAGS = -Wall -I$(PYTHON_INCLUDEDIR) \
++libhivexmod_la_CFLAGS = -Wall $(PYTHON_CFLAGS) \
+ 		        -I$(top_srcdir)/lib -I$(top_builddir)/lib
+ libhivexmod_la_LIBADD = $(top_builddir)/lib/libhivex.la
+ libhivexmod_la_LDFLAGS = -avoid-version -shared
diff -Nru hivex-1.3.6/debian/patches/series hivex-1.3.6/debian/patches/series
--- hivex-1.3.6/debian/patches/series	2012-06-13 16:48:07.000000000 +0000
+++ hivex-1.3.6/debian/patches/series	2012-10-24 23:14:38.000000000 +0000
@@ -1,3 +1,3 @@
 0001-ruby-find-files-to-install-in-correct-directory.patch
 0002-ruby-install-to-vendor-directories.patch
-0003-autoreconf.patch
+fit-ftbfs-python3.3.patch
diff -Nru hivex-1.3.6/debian/rules hivex-1.3.6/debian/rules
--- hivex-1.3.6/debian/rules	2012-06-13 17:05:32.000000000 +0000
+++ hivex-1.3.6/debian/rules	2012-10-24 23:07:10.000000000 +0000
@@ -8,16 +8,16 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export AUTOPOINT=true
 
-PYTHONS        := $(shell pyversions --installed; py3versions --installed)
+PYTHONS        := $(shell pyversions --supported; py3versions --supported)
 PYTHON_DEFAULT := $(shell pyversions --default)
 RUBIES         := $(shell find /usr/bin/ -name ruby1\* | xargs -n1 readlink -f | xargs -n1 basename)
 RUBY_DEFAULT   := $(shell which ruby | xargs readlink -f | xargs basename)
 
 %:
 	dh $@ \
-		--without python-support \
-		--with autotools-dev,ocaml,python2,python3,ruby
+		--with autoreconf,ocaml,python2,python3,ruby
 
 override_dh_auto_configure:
 	dh_auto_configure --builddir=$(CURDIR)/debian/build-default \
[Message part 3 (text/plain, inline)]
Regards,

Dmitrijs.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#692387; Package hivex. (Tue, 06 Nov 2012 23:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hilko Bengen <bengen@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Tue, 06 Nov 2012 23:39:06 GMT) Full text and rfc822 format available.

Message #10 received at 692387@bugs.debian.org (full text, mbox):

From: Hilko Bengen <bengen@debian.org>
To: Dmitrijs Ledkovs <dmitrijs.ledkovs@canonical.com>
Cc: 692387@bugs.debian.org
Subject: Re: Bug#692387: hivex: FTBFS against python3.3
Date: Wed, 07 Nov 2012 00:35:50 +0100
Hi Dmitrijs,

thank you for your bug report. I am going to wait for python3.3 to be
introduced to unstable before I make any changes on how the hivex
package is built.

Could you please re-submit only the part of your patch that is relevant
to fixing the FTBFS -- in a readable form and based upon the current
version (1.3.6-3) of the hivex pacakge? Thank you.

Cheers,
-Hilko



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#692387; Package hivex. (Tue, 06 Nov 2012 23:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitrijs Ledkovs <dmitrijs.ledkovs@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Tue, 06 Nov 2012 23:45:10 GMT) Full text and rfc822 format available.

Message #15 received at 692387@bugs.debian.org (full text, mbox):

From: Dmitrijs Ledkovs <dmitrijs.ledkovs@canonical.com>
To: Hilko Bengen <bengen@debian.org>
Cc: 692387@bugs.debian.org
Subject: Re: Bug#692387: hivex: FTBFS against python3.3
Date: Tue, 06 Nov 2012 23:43:33 +0000
On 06/11/12 23:35, Hilko Bengen wrote:
> Hi Dmitrijs,
>
> thank you for your bug report. I am going to wait for python3.3 to be
> introduced to unstable before I make any changes on how the hivex
> package is built.
>

I understand. It is a forward looking patch. I submitted the patch in 
it's current form because that's what I applied in Ubuntu to complete 
the transition to python3.3 there.

> Could you please re-submit only the part of your patch that is relevant
> to fixing the FTBFS -- in a readable form and based upon the current
> version (1.3.6-3) of the hivex pacakge? Thank you.
>

Yes, I can. Added it to my todo list for completion between now & 
python3.3 being added as support in unstable/experimental.

Currently trying to rebuild packages to drop python3.2 out of Ubuntu 
archive.

-- 
Regards,
Dmitrijs.



Severity set to 'serious' from 'normal' Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Tue, 07 May 2013 10:51:09 GMT) Full text and rfc822 format available.

Added tag(s) sid and jessie. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Tue, 07 May 2013 11:15:07 GMT) Full text and rfc822 format available.

Reply sent to Hilko Bengen <bengen@debian.org>:
You have taken responsibility. (Thu, 09 May 2013 11:36:17 GMT) Full text and rfc822 format available.

Notification sent to Dmitrijs Ledkovs <dmitrijs.ledkovs@canonical.com>:
Bug acknowledged by developer. (Thu, 09 May 2013 11:36:18 GMT) Full text and rfc822 format available.

Message #24 received at 692387-close@bugs.debian.org (full text, mbox):

From: Hilko Bengen <bengen@debian.org>
To: 692387-close@bugs.debian.org
Subject: Bug#692387: fixed in hivex 1.3.7-2
Date: Thu, 09 May 2013 11:33:38 +0000
Source: hivex
Source-Version: 1.3.7-2

We believe that the bug you reported is fixed in the latest version of
hivex, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 692387@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hilko Bengen <bengen@debian.org> (supplier of updated hivex package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 09 May 2013 12:12:30 +0200
Source: hivex
Binary: libhivex0 libhivex-dev libhivex0-dbg libhivex-bin libwin-hivex-perl libhivex-ocaml libhivex-ocaml-dev python-hivex ruby-hivex
Architecture: source amd64
Version: 1.3.7-2
Distribution: unstable
Urgency: low
Maintainer: Hilko Bengen <bengen@debian.org>
Changed-By: Hilko Bengen <bengen@debian.org>
Description: 
 libhivex-bin - utilities for reading and writing Windows Registry hives
 libhivex-dev - library for reading and writing Windows Registry hives
 libhivex-ocaml - OCaml bindings for hivex -- runtime files
 libhivex-ocaml-dev - OCaml bindings for hivex -- development files
 libhivex0  - library for reading and writing Windows Registry hives
 libhivex0-dbg - library for reading and writing Windows Registry hives
 libwin-hivex-perl - Perl bindings to hivex
 python-hivex - Python bindings for hivex
 ruby-hivex - Ruby bindings for hivex
Closes: 692387
Changes: 
 hivex (1.3.7-2) unstable; urgency=low
 .
   * Added patches
     - Fix build on Python 3.3 (Closes: #692387)
     - Make sure that HTML documentation is correctly generated
Checksums-Sha1: 
 b54026ab7d8be6f4041e6777acccf9cfc7d1c924 1820 hivex_1.3.7-2.dsc
 48c8f4aae5c449775010d5824ae7c35e18f5048a 7486 hivex_1.3.7-2.debian.tar.gz
 74c619ec5f7ab01554e49892766eb234fd31edf2 49730 libhivex0_1.3.7-2_amd64.deb
 3dfc7cf5c4c4f9fdf65f7bd98c724fcc611b16c4 64930 libhivex-dev_1.3.7-2_amd64.deb
 cc437ccc8974dc72f646e40ba2a413023cc361e6 231724 libhivex0-dbg_1.3.7-2_amd64.deb
 0c1f79f629cb6e0db49c55bb6224c706658d55a3 64834 libhivex-bin_1.3.7-2_amd64.deb
 c173bfd190ff9ad7991336c08242647707c3498f 63088 libwin-hivex-perl_1.3.7-2_amd64.deb
 266eb0df76d0d45604d83e61c660f9b9e9c9970e 28280 libhivex-ocaml_1.3.7-2_amd64.deb
 74a3f4d589c870bc6493ca32f65d418893d35507 35670 libhivex-ocaml-dev_1.3.7-2_amd64.deb
 15b08806db719bcae46df5b268d599b0cf9b840a 33442 python-hivex_1.3.7-2_amd64.deb
 10913b544e5700d2072a63bcca2844fdbecf61f9 33972 ruby-hivex_1.3.7-2_amd64.deb
Checksums-Sha256: 
 25f65feb40d393853860a6d0f5ca7f2f394e6f13ca9fcbc767a6aa67c550c381 1820 hivex_1.3.7-2.dsc
 97df445b93d0b6c2bd70d207db15490ea80ab32e6bfc85d3a970003834f64aee 7486 hivex_1.3.7-2.debian.tar.gz
 b4a44fcc8adf05e4c32699635304669b58d14b14bf0c3b901e92051f92fea27d 49730 libhivex0_1.3.7-2_amd64.deb
 258fcabb3840204e2c913781dd0b5ca13427ed29bf8242b1df719c2f44a1315d 64930 libhivex-dev_1.3.7-2_amd64.deb
 642b7c0533fabd2f41e13372a9dd596b300360cb373eac1814e73f6dcc4f921a 231724 libhivex0-dbg_1.3.7-2_amd64.deb
 de7050b0ee7ce35eaa49ff64a22ff2cb4f7542b65f927810cccf1e94b9cd7cef 64834 libhivex-bin_1.3.7-2_amd64.deb
 87643447e27b599eba79a64cb4e04be7ed33234cf31fcb2b8b633d73f903bd1e 63088 libwin-hivex-perl_1.3.7-2_amd64.deb
 d1a94d70b460fd9a46cd8b058dd35bfabcc650a150e34931043538d918b734e8 28280 libhivex-ocaml_1.3.7-2_amd64.deb
 18a4eedb9387070bc6022dfbe5d0df5867b40351817b36a151597d8688a47460 35670 libhivex-ocaml-dev_1.3.7-2_amd64.deb
 1fa1e2baec651ceec24ccf2f10871c512dd9d29c4a78407114adfe72b5ce5206 33442 python-hivex_1.3.7-2_amd64.deb
 42efe1e7d455debc3cd17c49cb6a277e65f0bd6d435a263b4dab8afc5df99526 33972 ruby-hivex_1.3.7-2_amd64.deb
Files: 
 f1921b63e37fbdf860cb494746743533 1820 libs extra hivex_1.3.7-2.dsc
 1f5b8e07de371f4f116435b2725f5508 7486 libs extra hivex_1.3.7-2.debian.tar.gz
 bd89be7367481951dd3f155a12d3c85d 49730 libs extra libhivex0_1.3.7-2_amd64.deb
 4b32f2dcf2ac172c0ac08dc0548d44da 64930 libdevel extra libhivex-dev_1.3.7-2_amd64.deb
 fe52eb5119bf0ef66528278b34423cc7 231724 debug extra libhivex0-dbg_1.3.7-2_amd64.deb
 7768c58ebf9e52f05d0acf6be22f7c12 64834 otherosfs extra libhivex-bin_1.3.7-2_amd64.deb
 d21ca4706844faa0db67352f7a74eb52 63088 perl extra libwin-hivex-perl_1.3.7-2_amd64.deb
 ff32ace5d92120f279645d36112392d0 28280 ocaml extra libhivex-ocaml_1.3.7-2_amd64.deb
 db0c8fa5b9aaa96f1d9e64d6fefdda29 35670 ocaml extra libhivex-ocaml-dev_1.3.7-2_amd64.deb
 e8769b1924a1217d7001e983d9829599 33442 python extra python-hivex_1.3.7-2_amd64.deb
 7b007e3aa398834dd76d05f39f2a762f 33972 ruby extra ruby-hivex_1.3.7-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlGLhoYACgkQUCgnLz/SlGjwWwCdE0l0Ie6ZCNQun5a9Z75smI2K
tmIAoNLLVVWIXnaX14O439ofP/pFV3pI
=AHL0
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 03 Jul 2013 07:40:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:32:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.